### Method

# Gtk RecentInfoget_application_info

#### Declaration [src]

    gboolean
    gtk_recent_info_get_application_info (
      GtkRecentInfo* info,
      const char* app_name,
      const char** app_exec,
      guint* count,
      GDateTime** stamp
    )

#### Description [src]

Gets the data regarding the application that has registered the resource pointed by `info`.

If the command line contains any escape characters defined inside the storage specification, they will be expanded.

#### Parameters

`app_name`

  Type: `const char*`

  The name of the application that has registered this item.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`app_exec`

  Type: `const char**`

  Return location for the string containing the command line.

  The argument will be set by the function.
  The data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

`count`

  Type: `guint*`

  Return location for the number of times this item was registered.

  The argument will be set by the function.

`stamp`

  Type: `GDateTime`

  Return location for the time this item was last registered for this application.

  The argument will be set by the function.
  The data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if an application with `app_name` has registered this resource inside the recently used list, or `FALSE` otherwise. The `app_exec` string is owned by the `GtkRecentInfo` and should not be modified or freed.